body {
    margin: 0;
    font-family: 'Lato', sans-serif;
}


.App {
    /* font-family: sans-serif; */
    text-align: center;
    /* margin: 30px 22px; */
    background-color: rgb(224, 217, 217);
}

a {
    all: unset;
}

ul {
    padding: 0px;
    margin: 0px;
}

li {
    list-style: none;
}

.link {
    color: inherit;
    text-decoration: none;
    cursor: pointer;
}

.row {
    display: flex;
    align-items: center;
}

.column {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.marginTop50 {
    margin-top: 50%;
}

.fontWeight500 {
    font-weight: 500;
}

.fontWeight600 {
    font-weight: 600;
}

.fontWeight700 {
    font-weight: 700;
}

.fontWeight800 {
    font-weight: 800;
}

.fontSize13px {
    font-size: 13px;
}

.fontSize14px {
    font-size: 14px;
}

.fontSize16px {
    font-size: 16px;
}

.fontSize18px {
    font-size: 18px;
}

.fontSize22px {
    font-size: 22px;
}

.fontSize28px {
    font-size: 28px;
}

.fontSize52px {
    font-size: 52px;
}

.lineHeight50px {
    line-height: 50px;
}

.textAlignLeft {
    text-align: left;
}

.navBar {
    display: flex;
    flex: 1;
    flex-basis: 60%;
    justify-content: space-between;
    align-items: center;
    background-color: rgba(3, 37, 65);
    color: aliceblue;
    padding: 10px 15px;
}

.navSub {
    display: flex;
    justify-content: space-around;
    gap: 15px;
    align-items: center;
}

.navSub li {
    cursor: pointer;
}

.loginSignIn {
    /* background-color: rgb(114, 168, 211); */
    padding: 2px 0px;
    border-radius: 3px;
    font-size: 11px;
}

.userAlphabet {
    text-align: center;
    background-color: rgb(114, 168, 211);
    min-width: 20px;
    padding: 3px 0px 3px 0px;
    border-radius: 10px;
    font-size: 11px;
}

.navBar li {
    cursor: pointer;
}

.logOut {
    text-align: center;
    background-color: rgb(114, 168, 211);
    min-width: 20px;
    padding: 2px 2px;
    border-radius: 5px;
    font-size: 11px;
}

.content img {
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

.releaseDate {
    color: rgb(81, 77, 77);
}

.overview {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    padding-right: 10px;
}

.movieTitle {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    margin: 0px;
    margin-top: 5px;
    margin-bottom: 5px;
}

.content {
    display: flex;
    flex-grow: 1;
    margin: 0px;
    box-shadow: 1px 2px 4px 2px rgba(128, 128, 128, 0.59);
    border: 1px solid gray;
    border-radius: 10px;
    background-color: rgb(255, 255, 255);
}

.subContent1 {
    margin: 0px;
    flex-grow: 0;
    display: flex;
}

.subContent2 {
    padding-left: 10px;
}

.outer {
    margin-bottom: 20px;
    padding: 0px 10px;
}

main {
    padding: 30px 0px;
}

.paginationBar {
    display: flex;
    flex: 1;
    flex-basis: 60%;
    justify-content: space-between;
    align-items: center;
    background-color: rgb(114, 168, 211);
    color: aliceblue;
    padding: 10px 40px;
    cursor: pointer;
}

.highlight {
    background-color: white;
    padding: 3px 5px;
    color: rgb(114, 168, 211);
    border-radius: 5px;
}

.loading {
    display: flex;
    flex-grow: 1;
    justify-content: center;
}

.paginationBar li {
    min-width: 20px;
    max-width: 55px;
}

.display {
    display: flex;
}

.hide {
    display: none;
}

.loading-spinner {
    border: 4px solid rgba(255, 255, 255, 0.3);
    border-top: 4px solid #3498db;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}